<template>
  <div class="app" id="app">
    <h2 class="h2">Todo App</h2>
    <form id="form" @submit.prevent="addTodoItem">
      <input id="input" class="input" type="text" v-model="text" />
      <button id="button" class="button" type="submit" @click="addTodo">
        Add Todo List
      </button>
    </form>

    <hr />
    <ul>
      <li v-for="item in items" :key="item.id">{{ item.text }}</li>
    </ul>
  </div>
</template>

<script>
import { apis } from "../services/api-service";

export default {
  data() {
    return {
      text: "",
      items: [],
    };
  },

  methods: {
    addTodoItem() {
      apis.getTodoLisDoRequest().then((response) => (this.items = response.data));
    },
    async getItems() {
      const response = await apis.getTodoLisDoRequest();
      this.items = response.data;
      return this.items;
    },
    async addTodo() {
      await apis.addTodoDoRequest(this.text);
    },
  },
  mounted() {
    this.getItems();
  },
};
</script>

<style lang="scss">
#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
}

#nav {
  padding: 30px;

  a {
    font-weight: bold;
    color: #2c3e50;

    &.router-link-exact-active {
      color: #42b983;
    }
  }
}
</style>
   